%define api 1.0
%define major 0
%define libname	%mklibname msi %{api} %{major}
%define girname	%mklibname msi-gir %{api}
%define devname	%mklibname -d %{name}

Summary:	Utilities to inspect and create Windows Installer files
Name:		msitools
Version:	0.93
Release:	%mkrel 2
Group:		Development/Databases
License:	GPLv2+
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/msitools/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(uuid)

%description
msitools is a set of programs to inspect and build Windows Installer
(.MSI) files.  It is based on libmsi, a portable library to read and
write .MSI files.  libmsi in turn is a port of (and a subset of) Wine's
implementation of the Windows Installer.

msitools plans to be a solution for packaging and deployment of
cross-compiled Windows applications.

Provided tools include:
- msiinfo, to inspect MSI files
- msibuild, a low-level tool to create MSI files
- msiextract, to inspect and extract the files of an MSI file
- msidump, to extract all tables or streams from an MSI file
- msidiff, to diff MSI tables and file content
- wixl, a WiX-like tool, that builds Windows Installer (MSI) packages
  from an XML document, and tries to share the same syntax as the WiX
  toolset, http://wixtoolset.org/
- wixl-heat, a tool that builds XML fragments from a list of files
  and directories.

%package -n	%{libname}
Summary:	A support library for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for %{name}.

%package -n	%{girname}
Summary:	Libmsi Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
#%patch0 -p0

%build
#sh ./autogen.sh
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.*a

%{find_lang} %{name}

%files
%{_bindir}/msibuild
%{_bindir}/msiextract
%{_bindir}/msiinfo
%{_bindir}/msidiff
%{_bindir}/msidump
%{_bindir}/wixl
%{_bindir}/wixl-heat
%{_datadir}/bash-completion/completions/msitools
%{_datadir}/wixl-%{version}

%files -n %{libname} -f %{name}.lang
%{_libdir}/libmsi.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Libmsi-%{api}.typelib

%files -n %{devname}
%dir %{_includedir}/libmsi-%{api}
%{_includedir}/libmsi-%{api}/*
%{_libdir}/libmsi.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Libmsi-%{api}.gir
%{_datadir}/vala/vapi/libmsi-%{api}.vapi


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.93-2.mga4
+ Revision: 529791
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 oden <oden> 0.93-1.mga4
+ Revision: 453377
- 0.93

* Thu May 30 2013 dams <dams> 0.92-1.mga4
+ Revision: 432919
- new version 0.92
- remove useless patch
- remove useless BR
- update %%description
- update %%file
- add translations

* Sat Jan 26 2013 oden <oden> 0.91-1.mga3
+ Revision: 392370
- imported package msitools


* Sat Jan 26 2013 Oden Eriksson <oeriksson@mandriva.com> 0.91-1.mga2
- initial mageia package
